<script setup lang="ts">
import { PENETRANCES } from "~/utils/types/phenotype";
import type { Phenotype } from "~/utils/types/phenotype";

type Penetrance = Phenotype["penetrance"];
const props = defineProps<{ modelValue: Penetrance }>();
const emit = defineEmits<{
  (e: "update:modelValue", v: Penetrance): void;
}>();

const items = PENETRANCES.map((p) => ({ value: p, title: `${p * 100}%` }));
const rules = [(v: Penetrance) => !!v || "Penetrance is required"];
</script>
<template>
  <v-select
    :model-value="props.modelValue"
    :items="items"
    :rules="rules"
    @update:modelValue="
      (penetrance: Penetrance) => emit('update:modelValue', penetrance)
    "
  />
</template>
